%define name mplayerplug-in
%define ver 2.85
%define mozilla_plugin_dir /usr/lib/mozilla/plugins
%define mozilla_component_dir /usr/lib/mozilla/components
%define config_dir /etc
%define rel jds

Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Browser/Plugin
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Packager: Hiroaki Nozaki <Hiroaki.Nozaki@Sun.COM>
Source0: %{name}-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
rm -rf %buildroot
%setup -n %{name}

%build
./configure
%{__make}

%install
%{__mkdir} -p %buildroot%{mozilla_plugin_dir} && %{__mkdir} -p %buildroot%{config_dir} && %{__mkdir} -p %buildroot%{mozilla_component_dir}
%{__install} -m755 mplayerplug-in.so %buildroot%{mozilla_plugin_dir}
%{__install} -m755 mplayerplug-in.xpt %buildroot%{mozilla_component_dir}
%{__install} -m755 mplayerplug-in.types %buildroot%{config_dir}
%{__install} -m755 mplayerplug-in.conf %buildroot%{config_dir}

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO
%{mozilla_plugin_dir}/mplayerplug-in.so
%{mozilla_component_dir}/mplayerplug-in.xpt
%{config_dir}/mplayerplug-in.conf
%{config_dir}/mplayerplug-in.types

%changelog
* Tue Jun 14 2005 Kevin DeKorte
- v2.85
	French translation by AL 
	updated mimetype description MS ASF video for type video/x-ms-asf
	Build Fixes from Dag Wieers
	Minor change to getURLFilename
	Change to make NetFlix previews work
	Cap the cachebytes to twice the cachesize
	Fix up some issues with user-agent
	Italian translation by Roberto Inzerillo
	Brazilian Portugese translation by Danilo Bardusco
	Slovak translation by Jozef Riha
	Took & compare out of URLcmp so that http://www.dr.dk/netradio/?venstre=true should work.
	More fixes to make www.dr.dk to work better.
	Optimize the loop condition with 1 file to play
	Fix a bug in URLcmp with file:// urls
	Fix a bug in "loop" attribute make "loop=1" work.
	Merged and expanded Hiroa's loop patch.
	Russian translation by Nikolai Prokoschenko
	Danish translation by Anders Lind
	Progress Bar over video fix and crasher fix.
	Spanish translation by Azael Avalos
	getTime and getPercent patches from anonymous
	Added options cookies, nomouseinput and noconsolecontrols to config file to disable (set to 0) or enable (set to 1 [default])

* Wed Dec 15 2004 Kevin DeKorte
- v2.75
	Make sdp media urls work
	Make GTK1 code request XEmbed mode
	Only specify mplayer -cache option for streaming data
	Add mimetype application/x-ms-wmv to the list
	For realmedia, don't play when controls=statusbar
	Applied mms playlist detection patch from Yasuhiro Matsumoto (fixes TSN.ca among others)
	Fix for older mozilla include paths. Fix based on info from FreeBSD package patch.
	Applied sync A/V options patch from Yasuhiro Matsumoto
	Applied some Sun JDS patches from Hiroaki Nozaki - did not apply all since they used global variables
	Added in support for Nullsoft Streaming Video mimetype: application/x-nsv-vp3-mp3
	Fixed problem with http://www.vg.no/video media
	Added fallback to smb:// when getting a file:// url that is not found
	Make Netflix previews work after Netflix website update
	Apply NetBSD patches from Juan RP
	Add back in the signal mask patch and a slight pause
	Add some more pthread_cancel checks in
	Fixed a buffer overrun that was identified by Adam Feakin
	Fixes some minor nits with the fullscreen window in GTK2
	Applied more patches from Hiroaki Nozaki - more HTML property support
	Added config option enable_smil, default to 1 or enabled. Added so that SMIL support can be disabled independently
	Fix automake issues on FreeBSD
	Fix issue with http://www.camerata-trajectina.nl/, autoplay and buttons showing up
	Add support for keyboard commands, these only work when the mouse is over the buttons or background, not over media
		space/P/p - play or pause depending on current state
		S/s - stop
		</, - rewind 10 seconds
		>/. - fast forward 10 seconds
		F/f - fullscreen or not

* Mon Nov 22 2004 Hiroaki Nozaki <Hiroaki.Nozaki@Sun.COM> 2.66-jds5
- add flags to appear/disappear each control component
- fix tracker problem : pause button appears not to work
- add "keepratio" flag to select whether keeping original image ratio or
  adjusting image into width x height

* Mon Aug 16 2004 Hisao SHIBUYA <Hisao.Shibuya@Sun.COM> 2.66-jds4
- clean up control bottun problem

* Thu Aug 12 2004 Hisao SHIBUYA <Hisao.Shibuya@Sun.COM> 2.66-jds3
- fix play count problem

* Thu Aug 12 2004 Hisao SHIBUYA <Hisao.Shibuya@Sun.COM> 2.66-jds2
- fix control bottun problem

* Fri Aug 06 2004 Hisao SHIBUYA <Hisao.Shibuya@Sun.COM> 2.66-jds1
- rebuild on JDS2

* Thu Jul 01 2004 Nick Pietraniec
  Updated to version 2.66 for Suse9.1

* Wed Apr 21 2004 Nick Pietraniec
  Updated to version 2.60 for Suse 9.

* Fri Apr 02 2004 Nick Pietraniec
  Updated to version 2.50 for Suse 9.

* Mon Mar 15 2004 Nick Pietraniec
  Updated to version 2.45 for Suse 9.  I've purposfully left out
  rpm dependencies due to the fact that there doesn't seem to be
  any official suse mplayer RPMS.

* Fri Jan 16 2004 Nick Pietraniec
  Updated to version 1.1 for SuSE 9

* Tue Dec 02 2003 Nick Pietraniec
  Updated to version 1.0 for SuSE

* Mon Oct 20 2003 Kevin DeKorte
  More fixes

* Thu Oct 16 2003 Kevin DeKorte
  v1.0pre2
  compatibility with mplayer 1.0pre2

* Fri Oct 03 2003 Kevin DeKorte
  v0.95
  True streaming support
  Improved playlist capability
  Improved status window
  Mplayer 0.92 is a prerequisite

* Wed Sep 10 2003 Kevin DeKorte
  Fix errors in 0.90
  Downloading feature disabled for now.

* Sun Sep 07 2003 Kevin DeKorte
  See ChangeLog for code changes

* Mon Mar 03 2003 Michael A. Peters <mpeters@mac.com>
- created spec file
